// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.Gui.Dialogs {
    
    
    public partial class GoToDialog {
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.ToggleButton toggleFiles;
        
        private Gtk.ToggleButton toggleTypes;
        
        private Gtk.ScrolledWindow scrolledwindow;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label1;
        
        private Gtk.Entry matchEntry;
        
        private Gtk.Button cancelButton;
        
        private Gtk.Button openButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.Gui.Dialogs.GoToDialog
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "MonoDevelop.Ide.Gui.Dialogs.GoToDialog";
            this.Title = Mono.Unix.Catalog.GetString("Go to File");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.BorderWidth = ((uint)(6));
            this.HasSeparator = false;
            // Internal child MonoDevelop.Ide.Gui.Dialogs.GoToDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Events = ((Gdk.EventMask)(256));
            w1.Name = "dialog_VBox";
            w1.Spacing = 6;
            w1.BorderWidth = ((uint)(2));
            // Container child dialog_VBox.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            this.vbox2.BorderWidth = ((uint)(6));
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.toggleFiles = new Gtk.ToggleButton();
            this.toggleFiles.CanFocus = true;
            this.toggleFiles.Name = "toggleFiles";
            this.toggleFiles.UseUnderline = true;
            this.toggleFiles.Active = true;
            this.toggleFiles.Label = Mono.Unix.Catalog.GetString("Search _Files");
            this.hbox1.Add(this.toggleFiles);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.toggleFiles]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.toggleTypes = new Gtk.ToggleButton();
            this.toggleTypes.CanFocus = true;
            this.toggleTypes.Name = "toggleTypes";
            this.toggleTypes.UseUnderline = true;
            this.toggleTypes.Label = Mono.Unix.Catalog.GetString("Search _Types");
            this.hbox1.Add(this.toggleTypes);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.toggleTypes]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.scrolledwindow = new Gtk.ScrolledWindow();
            this.scrolledwindow.CanFocus = true;
            this.scrolledwindow.Name = "scrolledwindow";
            this.scrolledwindow.ShadowType = ((Gtk.ShadowType)(3));
            this.vbox2.Add(this.scrolledwindow);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.scrolledwindow]));
            w5.Position = 1;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("_Name:");
            this.label1.UseUnderline = true;
            this.hbox2.Add(this.label1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox2[this.label1]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.matchEntry = new Gtk.Entry();
            this.matchEntry.CanFocus = true;
            this.matchEntry.Name = "matchEntry";
            this.matchEntry.IsEditable = true;
            this.matchEntry.InvisibleChar = '●';
            this.hbox2.Add(this.matchEntry);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox2[this.matchEntry]));
            w7.Position = 1;
            this.vbox2.Add(this.hbox2);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox2]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            w1.Add(this.vbox2);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(w1[this.vbox2]));
            w9.Position = 0;
            // Internal child MonoDevelop.Ide.Gui.Dialogs.GoToDialog.ActionArea
            Gtk.HButtonBox w10 = this.ActionArea;
            w10.Events = ((Gdk.EventMask)(256));
            w10.Name = "MonoDevelop.Ide.GoToDialog_ActionArea";
            w10.Spacing = 6;
            w10.BorderWidth = ((uint)(5));
            w10.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child MonoDevelop.Ide.GoToDialog_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.cancelButton = new Gtk.Button();
            this.cancelButton.CanDefault = true;
            this.cancelButton.CanFocus = true;
            this.cancelButton.Name = "cancelButton";
            this.cancelButton.UseStock = true;
            this.cancelButton.UseUnderline = true;
            this.cancelButton.Label = "gtk-cancel";
            this.AddActionWidget(this.cancelButton, -6);
            Gtk.ButtonBox.ButtonBoxChild w11 = ((Gtk.ButtonBox.ButtonBoxChild)(w10[this.cancelButton]));
            w11.Expand = false;
            w11.Fill = false;
            // Container child MonoDevelop.Ide.GoToDialog_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.openButton = new Gtk.Button();
            this.openButton.CanDefault = true;
            this.openButton.CanFocus = true;
            this.openButton.Name = "openButton";
            this.openButton.UseStock = true;
            this.openButton.UseUnderline = true;
            this.openButton.Label = "gtk-open";
            this.AddActionWidget(this.openButton, 0);
            Gtk.ButtonBox.ButtonBoxChild w12 = ((Gtk.ButtonBox.ButtonBoxChild)(w10[this.openButton]));
            w12.Position = 1;
            w12.Expand = false;
            w12.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 750;
            this.DefaultHeight = 579;
            this.Show();
            this.Shown += new System.EventHandler(this.HandleShown);
            this.toggleFiles.Clicked += new System.EventHandler(this.OnToggleFilesClicked);
            this.toggleTypes.Clicked += new System.EventHandler(this.OnToggleTypesClicked);
            this.matchEntry.KeyPressEvent += new Gtk.KeyPressEventHandler(this.HandleKeyPress);
            this.matchEntry.Changed += new System.EventHandler(this.HandleEntryChanged);
            this.matchEntry.Activated += new System.EventHandler(this.HandleEntryActivate);
            this.openButton.Clicked += new System.EventHandler(this.HandleOpen);
        }
    }
}
